Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77634 - grubby core dump in mkinitrd-3.4.30-1
Summary: grubby core dump in mkinitrd-3.4.30-1
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mkinitrd
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-11 07:57 UTC by Jonathan Kamens
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 07:33:35 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2002-11-11 07:57:48 UTC
I already reported the "grep: /proc/lvm/global: No such file or directory" in
another bug report.  Note the core dump at the end of this installkernel run:

+ exec /sbin/installkernel 2.4.19-ac4 bzImage /e/kernel/2.4.19-ac4/System.map /boot
grep: /proc/lvm/global: No such file or directory
grubby fatal error: unable to find a suitable template
/sbin/new-kernel-pkg: line 249: 13073 Segmentation fault      (core dumped)
/sbin/grubby --add-kernel=$bootPrefix/vmlinuz-$version $INITRD --copy-default
--title $version --args="root=$rootdevice" --remove-kernel="TITLE=$version" --lilo
make[1]: Leaving directory `/e/kernel/2.4.19-ac4/arch/i386/boot'

Comment 1 Jonathan Kamens 2002-11-26 06:31:38 UTC
Persists in mkinitrd-3.4.32-1.


Comment 2 Jeremy Katz 2003-01-06 04:59:14 UTC
Could you attach your grub.conf (and a backtrace from the core file too if you can)

Comment 3 Jonathan Kamens 2003-01-14 07:13:41 UTC
I can't duplicate this with current Raw Hide packages including mkinitrd-3.4.34-1.


Comment 4 Jeremy Katz 2003-01-14 07:33:35 UTC
Okay, thanks -- I know of several possible coredumps fixed there, so it's not
entirely surprising.


Note You need to log in before you can comment on or make changes to this bug.